package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

type SelfSupportForUserConsumeLimitDb struct {
	Db             *xorm.Engine `json:"db"`
	UserIdentityId int          `json:"user_identity_id"`
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) Set(userIdentityId int) { // set方法
	selfSupportForUserConsumeLimitDb.Db = Db
	selfSupportForUserConsumeLimitDb.UserIdentityId = userIdentityId
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) GetSelfSupportForUserConsumeLimit() (m *model.SelfSupportForUserConsumeLimit, err error) {
	m = new(model.SelfSupportForUserConsumeLimit)
	has, err := selfSupportForUserConsumeLimitDb.Db.Where("user_identity_id =?", selfSupportForUserConsumeLimitDb.UserIdentityId).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) FindSelfSupportForUserConsumeLimit(limit, start int) (*[]model.SelfSupportForUserConsumeLimit, error) {
	var m []model.SelfSupportForUserConsumeLimit
	if limit == 0 || start == 0 {
		if err := selfSupportForUserConsumeLimitDb.Db.Desc("id").Find(&m); err != nil {
			return nil, logx.Error(err)
		}
	} else {
		if err := selfSupportForUserConsumeLimitDb.Db.Desc("id").Limit(limit, start).Find(m); err != nil {
			return nil, logx.Error(err)
		}
	}
	return &m, nil
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) SelfSupportForUserConsumeLimitInsert(m *model.SelfSupportForUserConsumeLimit) (int, error) {
	_, err := selfSupportForUserConsumeLimitDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) SelfSupportForUserConsumeLimitUpdate(m *model.SelfSupportForUserConsumeLimit, columns ...string) (int64, error) {
	affected, err := selfSupportForUserConsumeLimitDb.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) SelfSupportForUserConsumeLimitDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return Db.In("id", id).Delete(model.SelfSupportForUserConsumeLimit{})
	} else {
		return Db.Where("id = ?", id).Delete(model.SelfSupportForUserConsumeLimit{})
	}
}

func (selfSupportForUserConsumeLimitDb *SelfSupportForUserConsumeLimitDb) BatchAdd(mm []*model.SelfSupportForUserConsumeLimit) (int64, error) {
	affected, err := selfSupportForUserConsumeLimitDb.Db.Insert(mm)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

type SelfSupportForUserConsumeLimitWithUserIdentity struct {
	model.UserIdentity                   `xorm:"extends"`
	model.SelfSupportForUserConsumeLimit `xorm:"extends"`
	model.User                           `xorm:"extends"`
	model.ClassWithUser                  `xorm:"extends"`
	model.Class                          `xorm:"extends"`
	model.Grade                          `xorm:"extends"`
}

func (SelfSupportForUserConsumeLimitWithUserIdentity) TableName() string {
	return "user_identity"
}
