package model

type SelfSupportForSchoolOrd struct {
	Id                    int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId          int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	Uid                   int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	UserIdentityId        int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	OutOrderNo            string `json:"out_order_no" xorm:"not null default '' comment('外部订单号,设备端产生') VARCHAR(255)"`
	TradeNo               string `json:"trade_no" xorm:"not null default '' comment('第三方交易号，支付宝，微信，ISV渠道等') VARCHAR(255)"`
	Consumer              string `json:"consumer" xorm:"not null default '' comment('消费人(花名册名称)') CHAR(100)"`
	BuyerId               string `json:"buyer_id" xorm:"not null default '' comment('云校园定义买家标识(支付宝刷脸用户id)') CHAR(100)"`
	SellerId              string `json:"seller_id" xorm:"not null default '' comment('卖家支付宝uid') CHAR(100)"`
	DeviceSn              string `json:"device_sn" xorm:"not null default '' comment('设备编号') CHAR(100)"`
	SchoolName            string `json:"school_name" xorm:"not null default '' comment('学校名称') CHAR(100)"`
	SchoolCode            string `json:"school_code" xorm:"not null default '' comment('学校内标') CHAR(100)"`
	StoreBusinessScenario string `json:"store_business_scenario" xorm:"not null default '' comment('门店经营场景') CHAR(100)"`
	StoreName             string `json:"store_name" xorm:"not null default '' comment('门店名称') CHAR(100)"`
	CpStoreId             string `json:"cp_store_id" xorm:"not null default '' comment('门店编号') CHAR(100)"`
	MerchantName          string `json:"merchant_name" xorm:"not null default '' comment('商户名称') CHAR(100)"`
	CpMerchantId          string `json:"cp_merchant_id" xorm:"not null default '' comment('商户编码') CHAR(100)"`
	TradeAmount           string `json:"trade_amount" xorm:"not null default 0.00 comment('交易总金额') DECIMAL(8,2)"`
	FaceTime              string `json:"face_time" xorm:"not null default '' comment('刷脸时间') CHAR(100)"`
	OrderStatus           int    `json:"order_status" xorm:"not null default 0 comment('支付状态 (1:待支付 2:支付成功 3:已退款)') TINYINT(1)"`
	DebtBusinessCode      string `json:"debt_business_code" xorm:"not null default '' comment('欠费订单异常渠道异常码(欠费返回)') CHAR(100)"`
	DebtBusinessMsg       string `json:"debt_business_msg" xorm:"not null default '' comment('欠费订单欠费原因(欠费返回)') VARCHAR(255)"`
	CreateAt              string `json:"create_at" xorm:"not null pk default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
